
QGIS Application - Bug report #21748

Categorized style do not works with NULL value

2019-04-03 03:46 PM - Roberto Marzocchi

Status: Open

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.4.6 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29563

Description

Using categorized style the NULL value are not correctly classified as else.

Using rule they are correctly classified.

History

#1 - 2019-04-03 03:57 PM - Roberto Marzocchi

It works correctly for "varchar" fields not for "numeric" fields

#2 - 2019-04-04 04:49 PM - Roberto Marzocchi

- File Cattura.PNG added

There is also a problem in count (not rendering) with "style with rules" when you try to do a double classification using two different fields

Cattura.PNG

#3 - 2019-04-04 08:13 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

This was tagged a regression because worked well in some version < 3.4?

#4 - 2019-04-04 10:05 PM - Roberto Marzocchi

Giovanni Manghi wrote:

This was tagged a regression because worked well in some version < 3.4?
#5 - 2019-04-05 09:58 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Operating System deleted (Ubuntu and windows)

Files

Cattura.PNG 19 KB 2019-04-04 Roberto Marzocchi
